Subject: bug#40954: Guile 3.0.2 Fails to compile on macOS Catalina

From: [email-masked]
Date: Wed, 29 Apr 2020 00:40:04 -0700

The following line in:

libguile Makefile target: install-data-hook during a “make install” call

results in a "sed -e file not found" error and stops installation.

$(INSTANTIATE) "$(DESTDIR)$(libdir)/$$libname-gdb.scm”

When it is removed from the Makefile, Guile can be installed and 

“make checkinstall” passes successfully.

The actual file installed is:

libguile-3.0.a-gdb.scm, not libguile-3.0-gdb.scm, which is in build/libguile

wlh